2011年6月 2日

[ruby-list:48149] Re: requireが配列を取れたら便利だと思うんだけど..

(06/02/2011 05:47 PM), Hiroshi Nakamura wrote:
> で、autoloadによる並列requireも1.9では問題ないはずだし、1.8.7も次のパッチリリースで直るはずなので[1]、大丈夫だと思います。

一応、申し上げておきますと、仮に問題が起きないからといってそれを推奨する
のはどうなのという話はあるかと思います。たしかに187でも突入する瞬間の手
当てはしましたが、autoloadがヤバいのは根本的には解決できない問題なので、
やはり長期的には使わない方向に行ってほしいと。個人的な感想ですけれども。

多分三つくらい話があって、

A: requireが多引数になるべきかどうか
B: requireが並列に走れるかどうか
C: 並列requireを推奨するのはどうなのか

私の立場はAべんりB状況によるC反対、という感じです。

# やっぱdev行きか?


投稿者 xml-rpc : 2011年6月 2日 18:26
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/104130
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。